Package twisted :: Package protocols :: Module smtp :: Class SMTPFactory |
[frames | no frames]

## Class SMTPFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   SMTPFactory

Known Subclasses:
  `SMTPFactory`

Factory for SMTP.

Method Summary
| `__init__(self, portal)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`str` | `domain` = `'pyramid.twistedmatrix.com'`
`NoneType` | `portal` = None
`class` | `protocol` = `twisted.protocols.smtp.SMTP`
`int` | `timeout` = 600
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

    ### domain Type: `str` Value:
        'pyramid.twistedmatrix.com'

    ### portal Type: `NoneType` Value:
        None

    ### timeout Type: `int` Value:
        600

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net